Loading...
Searching...
No Matches
ZyanVector_ Struct Reference

`#include <Vector.h>`

Collaboration diagram for ZyanVector_:
[legend]

## Public Attributes

ZyanAllocator * | allocator
ZyanU8 | growth_factor
ZyanU8 | shrink_threshold
ZyanUSize | size
ZyanUSize | capacity
ZyanUSize | element_size
ZyanMemberProcedure | destructor
void * | data

## Detailed Description

Defines the ZyanVector struct.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

## Member Data Documentation

## allocator

ZyanAllocator* ZyanVector_::allocator

The memory allocator.

## capacity

ZyanUSize ZyanVector_::capacity

The maximum capacity (number of elements).

## data

void* ZyanVector_::data

The data pointer.

## destructor

ZyanMemberProcedure ZyanVector_::destructor

The element destructor callback.

## element_size

ZyanUSize ZyanVector_::element_size

The size of a single element in bytes.

## growth_factor

ZyanU8 ZyanVector_::growth_factor

The growth factor.

## shrink_threshold

ZyanU8 ZyanVector_::shrink_threshold

The shrink threshold.

## size

ZyanUSize ZyanVector_::size

The current number of elements in the vector.

The documentation for this struct was generated from the following file:

- include/Zycore/Vector.h